Slurm API(3)

NAME
slurm_suspend, slurm_resume, slurm_requeue - Slurm suspend, resume and requeue functions

SYNTAX

#include <slurm/slurm.h>

int slurm_suspend (
    uint32_t job_id
);

int slurm_resume (
    uint32_t job_id
);

int slurm_requeue (
        uint32_t job_id
);

ARGUMENTS

job_id
    SLURM job ID to perform the operation upon.

DESCRIPTION

slurm_suspend Suspend the specified job.

slurm_resume Resume execution of a previously suspended job.

slurm_requeue Requeue a running or pending SLURM batch job. The job script will be restarted from its beginning, ignoring any previous checkpoint.

RETURN VALUE

Zero is returned upon success. On error, -1 is returned, and the Slurm error code is set appropriately.

ERRORS

ESLURM_DISABLED the operation is currently disabled (e.g. attempt to suspend a job that is not running, resume a job that is not currently suspended, or requeue a job on which the operation has been disabled).

ESLURM_INVALID_JOB_ID the requested job id does not exist.

ESLURM_ACCESS_DENIED the requesting user lacks authorization for the requested action (e.g. not user root or SlurmUser).

ESLURM_JOB_PENDING the requested job is still pending.

ESLURM_ALREADY_DONE the requested job has already completed.

ESLURM_NOT_SUPPORTED the requested operation is not supported on this system.

NOTE
These functions are included in the libslurm library, which must be linked to your process for use (e.g. "cc -lslurm myprog.c").

COPYING
Copyright (C) 2005-2006 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). CODE-OCEC-09-009. All rights reserved.

This file is part of SLURM, a resource management program. For details, see <http://www.schedmd.com/slurmdocs/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO

scontrol(1)